Bug 239794 - net-p2p/ncdc: Update to 1.22.1
Summary: net-p2p/ncdc: Update to 1.22.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-08-12 06:30 UTC by Venim
Modified: 2019-09-22 12:45 UTC (History)
2 users (show)

See Also:
riggs: maintainer-feedback-


Attachments
update (1.27 KB, patch)
2019-08-12 06:30 UTC, Venim
no flags Details | Diff
update (1.50 KB, patch)
2019-09-21 14:07 UTC, Venim
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Venim 2019-08-12 06:30:45 UTC
Created attachment 206464 [details]
update

Update to 1.22.1. Bug fixes, new features and switch to libmaxminddb for geoip support.


Release notes since 1.20:

1.22.1 - 2019-06-03 - ncdc-1.22.1.tar.gz 
Fix segfault with ADC client connections

1.22 - 2019-04-30 - ncdc-1.22.tar.gz 
Add 'b' and 'B' keys to connections tab (Daniel Kamil Kozar)
Add 'max_ul_per_user' setting to support multiple upload slots per user (Daniel Kamil Kozar)
Add support for TLS ALPN (Denys Smirnov)
Fix build against ncurses with separate libtinfo (Lars Wendler)

1.21 - 2019-03-26 - ncdc-1.21.tar.gz 
Switch to libmaxminddb for GeoIP lookups
Replaced 'geoip_cc4' and 'geoip_cc6' settings with a single 'geoip_cc'
Mark already queued or shared files in search and file browser (Daniel Kamil Kozar)
Add 'download_shared' setting (Daniel Kamil Kozar)
Add 'show_free_slots' setting (Daniel Kamil Kozar)
Add support for the "Free Slots" ADC extension
Comment 1 Thomas Zander freebsd_committer 2019-09-21 11:25:07 UTC
This does not find ncurses during configure on 12.0:

checking for ncursesw... no
checking for ncurses... no
configure: error: ncurses library is required
===>  Script "configure" failed unexpectedly.
Please report the problem to earl1k@mail.ru [maintainer] and attach the
"/wrkdirs/usr/ports/net-p2p/ncdc/work/ncdc-1.22.1/config.log" including the
output of the failure of your make command. Also, it might be a good idea to
provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1
Comment 2 Venim 2019-09-21 14:07:02 UTC
Created attachment 207679 [details]
update
Comment 3 Venim 2019-09-21 14:13:30 UTC
(In reply to Thomas Zander from comment #1)

Sorry for that. Dependencies was not done correctly and I had ncurses installed as a dependency already. I have tested the port in a clean install and now it builds with no errors.

Unfortunately the maintainer seems not maintain this port actively. Looks like everything timed out for a while. Uploaded a new patch that should work and added myself as the maintainer, I don't know if this is allowed.
Comment 4 Thomas Zander freebsd_committer 2019-09-22 08:46:16 UTC
Maintainer timeout
Comment 5 commit-hook freebsd_committer 2019-09-22 09:05:55 UTC
A commit references this bug:

Author: riggs
Date: Sun Sep 22 09:05:32 UTC 2019
New revision: 512565
URL: https://svnweb.freebsd.org/changeset/ports/512565

Log:
  Update to upstream release 1.22.1

  Details:
  - Update to new upstream release 1.22.1
  - Introduce default OPTION for IP geolocation support

  PR:		239794
  Submitted by:	h.freshports@skarnell.se
  Approved by:	maintainer timeout

Changes:
  head/net-p2p/ncdc/Makefile
  head/net-p2p/ncdc/distinfo
Comment 6 Thomas Zander freebsd_committer 2019-09-22 09:23:24 UTC
(In reply to Venim from comment #3)

Thanks for the updated patch.
I have committed a slightly revised version of it with minor some changes.

Regarding maintainership: We appreciate everyone willing to maintain a port. And while changing the maintainer line in the patch is technically the right way to do it, let's try to resolve it first with the current maintainer.
I suggest you try to contact the current maintainer first and ask whether (s)he wants to continue maintaining the port or whether transfer of maintainership to you would be ok. Then, depending on the result of your discussion (or the lack thereof, e.g. because maintainer cannot be reached or remains unresponsive), you submit a patch though bugzilla containing the change of the MAINTAINER line.
(The conventional time span for maintainer/feedback timeout is two weeks.)
Thank you in advance.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-22 12:45:31 UTC
(In reply to Thomas Zander from comment #6)

And to clarify, maintainer timeouts are calculated from the time of the 'last proposed change (patch)'